--放入守护槽提示
Lua_GuardPutTipsWindow = class("Lua_GuardPutTipsWindow", Lua_Window);
function Lua_GuardPutTipsWindow:ctor()
    self:superCall("ctor");
    self.showBlackMask = true;
    self.isClickClose = true;
    self.showCloseText = true;
    self.closeTextPosY = -286;
    self.windowName = "Lua_GuardPutTipsWindow";
    self.skinName="GuardPutTipsWindow_skin";
end

function Lua_GuardPutTipsWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.tips:setLangValue(126909);
    self.itemIconL = Lua_ItemIcon.new(self.content);
    self.itemIconL:setLocation(-148, 75, 0);
    self.itemIconL:setCanClick(false);

    self.itemIconR = Lua_ItemIcon.new(self.content);
    self.itemIconR:setLocation(148, 75, 0);
    self.itemIconR:setCanClick(false);
end

function Lua_GuardPutTipsWindow:showWin(param)
    local evo = DataCenter.heroData:getItemByUniqueId(param);
    self.level_l.text = "LV."..evo.ago_level;
    self.level_r.text = "LV."..evo.level;
    
    self.itemIconL:setData(evo);
    self.itemIconL:show_level(evo.ago_level);
    self.itemIconL._txt_right_top.colorStr = Lua_ColorDefine.transColor("4e4846");
    self.itemIconL._txt_right_top.effectColorStr = Lua_ColorDefine.transColor("f7f7f3");

    self.itemIconR:setData(evo);
    self.itemIconR:show_level(evo.level);
    
end

function Lua_GuardPutTipsWindow:dispose()
    if self.itemIcon ~= nil then
        self.itemIcon:dispose();
        self.itemIcon = nil;
    end
    self:superCall("dispose");
end