--守护槽解锁提示
Lua_GuardUnlockTipsWindow = class("Lua_GuardUnlockTipsWindow", Lua_Window);
function Lua_GuardUnlockTipsWindow:ctor()
    self:superCall("ctor");
    self.windowName = "Lua_GuardUnlockTipsWindow";
    self.skinName="GuardUnlockTipsWindow_skin";
    self.showBlackMask = true;
    self.isClickClose = true;
    self.isCostBool = false;--星源材料是否足够
end

function Lua_GuardUnlockTipsWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.sub_btn:addClickFuntion(self, self.onSubBtnClick);
    self.cancel_btn:addClickFuntion(self, self.onCancelBtnClick);
end

function Lua_GuardUnlockTipsWindow:showWin(param)
    self.data = param;
    if type(param) == "number" then
        self.data = DataCenter.lifeTreeData.guardGridInfo[param];
    end

    --解锁消耗
    local cost_id;
    local need_num;
    if DataCenter.lifeTreeData.isBreak == true then
        cost_id = self.data.break_first_cost[1][1];
        need_num = self.data.break_first_cost[1][2];
    else
        cost_id = self.data.first_cost[1][1];
        need_num = self.data.first_cost[1][2];
    end
    local pack_num = DataCenter.packData:getItemCountById(cost_id);
    
    self.isCostBool = (pack_num >= need_num);
    local iconStr = spliceIconStrById(cost_id);
    if self.isCostBool then--资源足够
        self.show_des.text = LanUtil.formateStr(126910, iconStr, LanUtil.formateStr(126911,tostring(need_num)))
    else
        local cost_id1;
        local need_num1;
        if DataCenter.lifeTreeData.isBreak == true then
            cost_id1 = self.data.break_other_cost[1][1];
            need_num1 = self.data.break_other_cost[1][2];
        else
            cost_id1 = self.data.other_cost[1][1];
            need_num1 = self.data.other_cost[1][2];
        end
        local iconStr2 = spliceIconStrById(cost_id1);
        local pack_num1 = DataCenter.packData:getItemCountById(cost_id1);
        self.isBool = (need_num1 <= pack_num1);
        local str = LanUtil.getValue(126912)..iconStr.."<color=#16a803>"..need_num.."</color>";
        local str1 = LanUtil.getValue(126913)..iconStr2..LanUtil.formateStr(126914,tostring(need_num1));
        self.show_des.text = str.."，"..str1;
    end
end

function Lua_GuardUnlockTipsWindow:onCancelBtnClick()
    self:hide();
end

function Lua_GuardUnlockTipsWindow:onSubBtnClick()
    if self.isCostBool == false and self.isBool == false then--星源不足  钻石足够
        local id;
        if DataCenter.lifeTreeData.isBreak then--已突破
            id = self.data.break_other_cost[1][1];
        else
            id = self.data.other_cost[1][1];
        end
        DataCenter.packUtil:openPathWindow(id, false);
        return
    end
    if self.isCostBool == true then
        Lua_ProxyManager.getProxy("Lua_LifeTreeProxy"):sUnlockGrid(0);
    else
        if self.isBool == true then
            Lua_ProxyManager.getProxy("Lua_LifeTreeProxy"):sUnlockGrid(1);
        end
    end
    OperateAlert.showLangValue(126929);
    self:hide();
end

function Lua_GuardUnlockTipsWindow:dispose()
    self:superCall("dispose");
end