--入驻同调器模型等级展示
Lua_GodTreeModelItem = class("Lua_GodTreeModelItem", Lua_DisplayObject);
function Lua_GodTreeModelItem:ctor(p,root)
    self.root = root;
    self:superCall("ctor", p, "LifeTreeModelItem_skin");
end

function Lua_GodTreeModelItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_GodTreeModelItem:setData(uid)
    local hvo = DataCenter.heroData:getItemByUniqueId(uid);
    if hvo ~= nil then
        local color = "f8f5f3";
        if hvo.level == DataCenter.lifeTreeData.cur_level then--展示同调等级
            color = "40e0ff";
        end
        self.level.text =Lua_ColorDefine.getColorStr(color,"LV."..hvo.level);
    end
    
    self.level:setEnable(hvo ~= nil);
    self.bg:setEnable(hvo ~= nil);
end

function Lua_GodTreeModelItem:showEffect(x, y, z, scale)
    if self.showModelEff == nil then
        local modelUrl = "/effects/scsEffects/tongdiaoqi_zhanwei";
        local url = UrlManager.fixFileSuffix(modelUrl);
        self.showModelEff = ModelEffComponent(Lua_LifeTreeUtil.sceneId, 0);
        self.showModelEff:setFullUrl(url, "tongdiaoqi_zhanwei", "tongdiaoqi_zhanwei", nil);
        self.showModelEff:setLocation(x, y, z);
        self.showModelEff:setScale(scale);
    else
        self.showModelEff:setSceneInfo(Lua_LifeTreeUtil.sceneId, 0)
    end
end

function Lua_GodTreeModelItem:dispose()
    if self.showModelEff ~= nil then
        self.showModelEff:dispose();
        self.showModelEff = nil;
    end
    self:superCall("dispose");
end